import request from '@/utils/request'

// 查询拼单参与记录列表
export function listGroupParticipant(query) {
  return request({
    url: '/service/groupParticipant/list',
    method: 'get',
    params: query
  })
}

// 查询拼单参与记录详细
export function getGroupParticipant(id) {
  return request({
    url: '/service/groupParticipant/' + id,
    method: 'get'
  })
}

// 新增拼单参与记录
export function addGroupParticipant(data) {
  return request({
    url: '/service/groupParticipant',
    method: 'post',
    data: data
  })
}

// 修改拼单参与记录
export function updateGroupParticipant(data) {
  return request({
    url: '/service/groupParticipant',
    method: 'put',
    data: data
  })
}

// 删除拼单参与记录
export function delGroupParticipant(id) {
  return request({
    url: '/service/groupParticipant/' + id,
    method: 'delete'
  })
}
